View Issue Details

IDProjectCategoryView StatusLast Update
0025629mantisbtadministrationpublic2019-04-21 02:53
Reporterdregad Assigned Todregad  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.0.0-beta.1 
Target Version2.21.0Fixed in Version2.21.0 
Summary0025629: E_USER_DEPRECATED errors are no longer displayed inline
Description

Since MantisBT modern UI was introduced (see MantisBT master 588e824b), the error_print_delayed() function that deals with display of delayed error messages (used to process DEPRECATED errors when they are shown inline) is no longer called.

In 1.3 it was called from html_page_bottom1a(), but was not migrated to Layout API.

TagsNo tags attached.

Relationships

related to 0017837 closeddregad Add new 'DEPRECATED' error type 
related to 0025631 closeddregad PHP Notice or incorrect file+line number when displaying DEPRECATED error 

Activities

Related Changesets

MantisBT: master 16909b66

2019-03-21 12:31:12

dregad

Details Diff
Restore call to error_print_delayed()

That function deals with display of deprecated error messages, and was
not migrated to Layout API when Modern UI was introduced (see commit
588e824b05bb316505c2838c1e85d560e36fb8d2).

Fixes 0025629
Affected Issues
0025629
mod - core/layout_api.php Diff File

MantisBT: master 91f094ed

2019-03-21 12:49:20

dregad

Details Diff
Improve display of delayed error messages

Add a spacer div, and regroup all messages within a div styled with
standard alert-warning class.

Issue 0025629
Affected Issues
0025629
mod - core/error_api.php Diff File

MantisBT: master 31ee2514

2019-03-29 09:47:27

dregad

Details Diff
E_USER_DEPRECATED errors are no longer displayed inline

PR https://github.com/mantisbt/mantisbt/pull/1482

Fixes 0025629
Affected Issues
0025629
mod - core/error_api.php Diff File
mod - core/layout_api.php Diff File

Issue History

Date Modified Username Field Change
2019-03-21 10:30 dregad New Issue
2019-03-21 10:30 dregad Status new => assigned
2019-03-21 10:30 dregad Assigned To => dregad
2019-03-21 12:23 dregad Relationship added related to 0017837
2019-03-21 13:12 dregad Relationship added related to 0025631
2019-03-21 13:32 dregad Note Added: 0061733
2019-03-29 09:50 dregad Changeset attached => MantisBT master 16909b66
2019-03-29 09:50 dregad Changeset attached => MantisBT master 91f094ed
2019-03-29 09:50 dregad Changeset attached => MantisBT master 31ee2514
2019-03-29 09:50 dregad Status assigned => resolved
2019-03-29 09:50 dregad Resolution open => fixed
2019-03-29 09:50 dregad Fixed in Version => 2.21.0
2019-04-21 02:53 vboctor Status resolved => closed